Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package tasty
  Definition Classes
    tools
- ErasedTypeRef
- Signature
- TastyFlags
- TastyFormat
- TastyHeaderUnpickler
- TastyName
- TastyReader
- TastyRefs
- UnpickleException

o

scala.tools.tasty

# TastyName

###
Companion class TastyName

#### object TastyName extends java.io.Serializable

Source
  TastyName.scala

Linear Supertypes
java.io.Serializable, AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TastyName
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class DefaultName(qual: TastyName, num: Int) extends TastyName with Product with Serializable
2.  trait NameEncoder[U] extends AnyRef
3.  final case class ObjectName(base: TastyName) extends TastyName with Product with Serializable
4.  final case class PrefixName(prefix: SimpleName, qual: TastyName) extends TastyName with Product with Serializable
5.  final case class QualifiedName(qual: TastyName, sep: SimpleName, selector: SimpleName) extends TastyName with Product with Serializable
6.  final case class SignedName(qual: TastyName, sig: MethodSignature[ErasedTypeRef], target: TastyName) extends TastyName with Product with Serializable
7.  final case class SimpleName(raw: String) extends TastyName with Product with Serializable
8.  trait StringBuilderEncoder extends NameEncoder[StringBuilder]
9.  final case class SuffixName(qual: TastyName, suffix: SimpleName) extends TastyName with Product with Serializable
10.  final case class TypeName extends TastyName with Product with Serializable
11.  final case class UniqueName(qual: TastyName, sep: SimpleName, num: Int) extends TastyName with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val BodyRetainerSuffix: SimpleName
5.  final val Constructor: SimpleName
6.  final val DefaultGetterInitStr: String
7.  final val DefaultGetterStr: String("$default$")
8.  final val Empty: SimpleName
9.  final val EmptyPkg: SimpleName
10.  final val EmptyTpe: TypeName
11.  final val ExpandPrefixSep: SimpleName
12.  final val ExpandedSep: SimpleName
13.  final val InlinePrefix: SimpleName
14.  final val MixinConstructor: SimpleName
15.  final val PathSep: SimpleName
16.  final val RepeatedClass: TypeName
17.  final val Root: SimpleName
18.  final val RootPkg: SimpleName
19.  final val SuperPrefix: SimpleName
20.  final val WildcardSep: SimpleName
21.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
22.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
23.  def deepEncode(name: TastyName): TastyName
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
38.  object DebugEncoder extends StringBuilderEncoder

    Displays formatted information about the structure of the name

39.  object ScalaNameEncoder extends NameEncoder[StringBuilder]

    Encodes names as expected by the Scala Reflect SymbolTable

40.  object SourceEncoder extends StringBuilderEncoder

    Converts a name to a representation closest to source code.

41.  object TypeName extends java.io.Serializable
42.  object WildcardName

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped